Subject: Re: post-checkout hook not run on clone

From: "Shawn O. Pearce" <[email-masked]>
Date: Mon, 2 Mar 2009 21:04:51 -0800

Jeff King <[email-masked]> wrote:
> On Mon, Mar 02, 2009 at 02:43:37PM -0800, layer wrote:
> 
> > I realize this might be a feature, but when I switch to the master
> > branch with "git checkout master" it is, and I would think that a
> > clone that gets the master branch would also does a sort of "checkout
> > master" and would run the hook.
> 
> Right. Hooks are not cloned with the repo.

I think the original poster was talking about a hook installed via
their template directory.  In which case the hook is trusted, and is
coming from a known source, its just not being called during clone.
 
-- 
Shawn.